#rm(list=ls())   # Clear memory

##-----------------------------DATA ----------------------------------##
# year <- 2016
# site <- "Nivelle"
# stade <- "tacon"

## WORKING DIRECTORY:
# work.dir<-paste('~/Documents/RESEARCH/PROJECTS/ORE/Abundance/',site,stade,sep="/")
# setwd(work.dir)

load(paste('data/data_',stade,"_",year,'.Rdata',sep=""))

#------------------------INITS----------------------------------##
inits0 <- read.bugsdata(paste("inits/init-",site,"-",stade,as.numeric(year)-1,".txt",sep=""))
#save(inits0,file=paste('inits/inits_',stade,as.numeric(year)-1,'.Rdata',sep=""))
#load(paste('inits/inits_',stade,as.numeric(year)-1,'.Rdata',sep=""))

###################################################
# NO UPDATE
###################################################
inits_fix <- list(

C2 = inits0$C2,
C3 = inits0$C3,
C4 = inits0$C4,
beta_dj = inits0$beta_dj,
delta = inits0$delta,
dj_nat = inits0$dj_nat,
epsilon_p = 0.5098,
eta_dj = c(30.56, NA,54.01), 
eta_gamma_dj = c(NA, NA, NA, 10, 10),   
  jcomp_ns_riff = inits0$jcomp_ns_riff,
  jcomp_ns_runs = inits0$jcomp_ns_runs,
  jres_ns_riff = inits0$jres_ns_riff,  
  jres_ns_runs = inits0$jres_ns_runs,
  k_cpue = 118.2, 
  logit_p_1 = inits0$logit_p_1,
  logit_p_srem_pred = 2.932, 
  mu_dj_nat = 0.1105,        
  mu_p_srem = 0.5547,
  n1 = inits0$n1,
  n1_comp = inits0$n1_comp,
  n1_nat = inits0$n1_nat,
  p_cpue = 0.4952,
  pi_dj = 0.7351, 
  rho_s = 0.3317, 
  sd_logit_p_srem = 1.172,
  sd_s_rec = 0.5465, 
  xi_dj = c(NA,4.01),              
  zeta_alpha_dj = 4.152,  
  zeta_gamma_dj = c(NA, NA, NA, 10, 10)
)

###################################################
# TO UPDATE
###################################################
#inits_updated <- list(
## METTRE A JOUR (17 stations par an)
# LS_rec = c(
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   5.79,5.288,5.814,6.997,7.271,
#   7.079,5.381,4.942,6.704,5.499,
#   6.871,5.772,5.713,5.596,7.34,
#   6.652,5.837,6.456,7.534,4.658,
#   5.53,6.218,4.746,7.008,5.831,
#   7.313,5.245,6.539,7.024,6.918,
#   6.174,5.332,6.968,5.973,7.562,
#   5.561,6.176,5.634,6.397,6.013,
#   6.722,4.833,6.364,5.152,7.621,
#   4.928,6.333,6.67,6.978,6.573,
#   7.224,3.964,6.298,6.428,7.556,
#   6.456,6.68,7.18,5.66,6.053,
#   7.007,5.449,5.118,6.78,5.338,
#   6.281,4.907,4.785,4.675,6.793,
#   6.822,5.782,6.098,6.538,5.461,
#   7.221,3.053,5.964,6.954,5.181,
#   6.684,5.328,6.729,5.803,5.906,
#   6.275,7.173,5.44,6.096,6.754,
#   6.701,4.937,6.46,3.849,5.96,
#   6.588,4.995,7.876,5.226,5.734,
#   6.159,5.084,5.997,7.287,6.321,
#   6.201,6.038,5.097,5.432,3.634,
#   5.924,5.735,7.943,7.21,5.118,
#   5.908,6.679, 
#   5.912, 6.237, 5.464, 6.830, 5.236, 5.961, 5.193, 6.806, 5.680, 5.742, 5.864, 5.514, 5.079, 6.463, 5.820, 6.442, 5.168,
#   5.822, 6.014, 6.433, 5.219, 6.884, 5.141, 6.809, 5.320, 6.166, 5.462, 6.300, 5.500, 5.526, 6.091, 5.732, 6.177, 5.094,
#   6.159,5.084,5.997,7.287,6.321,6.201,6.038,5.097,5.432,3.634,5.924,5.735,7.943,7.21,5.118,5.908,6.679, 
#   5.912, 6.237, 5.464, 6.830, 5.236, 5.961, 5.193, 6.806, 5.680, 5.742, 5.864, 5.514, 5.079, 6.463, 5.820, 6.442, 5.168)#,

LS_rec <- c(inits0$LS_rec, tail(inits0$LS_rec, n=17)) # repliquer les 17 dernieres valeurs


# METTRE A JOUR (1 valeur par an)
# alpha_dj = c(
#   NA,0.6375,0.8363,2.024,0.5787,
#   0.9262,0.6874,1.028,0.583,0.896,
#   1.04,0.8045,1.549,1.4,1.315,
#   1.254,2.22,1.888,2.168,1.166,
#   0.6466,1.201,0.9454,0.4732,1.215,
#   0.4958,1.12,1.264,1.702,0.622,
#   1.888,1.5)#,
alpha_dj <- c(inits0$alpha_dj, 1) # ajouter 1


# METTRE A JOUR (17 valeurs par an)
# dj = c(
#   0.02333,0.077,0.05783,0.1517,0.02115,
#   0.06057,0.001509,0.004476,0.001669,0.01094,
#   0.06475,0.06272,0.2846,0.02728,0.0345,
#   0.06567,0.0304,0.03269,0.04904,0.002942,
#   0.115,0.0949,0.276,0.3069,0.1405,
#   0.2295,0.006576,0.05267,0.06823,0.1681,
#   0.04622,0.05459,0.08158,0.08197,0.03761,
#   0.07062,0.007862,0.005446,0.00483,0.059,
#   0.06099,0.06994,0.1503,0.04994,0.1224,
#   0.003415,0.001374,0.001177,0.0271,0.05128,
#   0.02228,0.04522,0.0395,0.02029,0.0033,
#   0.00214,0.001104,0.001238,0.1251,0.0855,
#   0.1205,0.07036,0.2201,0.01434,0.005728,
#   0.04045,0.01686,0.09919,0.05668,0.04679,
#   0.01871,0.1359,0.07593,0.09541,0.02013,
#   0.002111,0.05015,0.05123,0.03252,0.08354,
#   0.05103,0.1553,0.00391,0.006217,0.007506,
#   0.01041,0.07581,0.03482,0.04966,0.07676,
#   0.07554,0.001044,0.01242,0.04711,0.004318,
#   0.1696,0.2131,0.1137,0.09679,0.1739,
#   0.01411,0.001717,0.0252,0.1631,0.2542,
#   0.5977,0.2841,0.261,0.004575,0.04214,
#   0.02059,0.02658,0.09091,0.2311,0.4363,
#   0.07428,0.3364,0.01198,0.05978,0.04461,
#   0.02747,0.02045,0.1273,0.192,0.5824,
#   0.3434,0.2926,0.0172,0.1226,0.08488,
#   0.0236,0.2099,0.04533,0.1445,0.007159,
#   0.06213,0.01039,0.0107,0.06969,0.03171,
#   0.02904,0.07516,0.001528,0.006441,0.02928,
#   0.00405,0.06979,0.08781,0.2185,0.00372,
#   0.004271,0.008692,0.04531,0.03093,0.1232,
#   0.07668,0.1018,0.01813,0.191,0.1694,
#   0.07768,0.02464,0.005504,0.05459,0.07719,
#   0.04964,0.01351,0.01152,0.005308,0.05267,
#   0.1084,0.04006,0.03142,0.0403,0.02683,
#   0.03837,0.001118,0.05276,0.03648,0.009129,
#   0.0298,0.0281,0.02972,0.001183,0.002749,
#   0.03008,0.006391,0.07038,0.01584,0.04085,
#   0.05365,0.0154,0.004803,0.2598,0.09815,
#   0.0574,0.02842,0.0526,0.1056,0.07734,
#   0.009013,0.3614,0.2119,0.376,0.1412,
#   0.2,0.02412,0.01639,0.02546,0.02097,
#   0.06205,0.01899,0.05474,0.00649,0.02984,
#   0.06781,0.01146,0.001846,0.01044,0.002038,
#   0.08904,0.08844,0.04649,0.008359,0.04946,
#   0.05665,0.05487,0.001126,0.01001,0.08116,
#   0.001849,0.009744,0.1099,0.1081,0.06489,
#   0.004188,0.1714,0.1419,0.01032,0.01514,
#   0.1622,0.1672,0.09078,0.003319,0.2437,
#   0.01997,0.001363,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,0.1796,0.2405,0.265,0.1388,
#   0.1193,0.04416,0.005759,0.002252,0.1563,
#   0.2213,0.2059,0.1285,0.1125,0.04127,
#   0.04153,0.04186,0.2161,0.2795,0.233,
#   0.4445,0.2156,0.1363,0.06401,0.02312,
#   0.06191,0.08206,0.1184,0.03715,0.09736,
#   0.01619,0.002945,0.002306,0.06972,0.07928,
#   0.07887,0.03219,0.07502,0.01802,0.01642,
#   0.002104,0.201,0.1065,0.02568,0.05878,
#   0.1924,0.09726,0.03457,0.01511,0.2498,
#   0.07398,0.001085,0.05148,0.1721,0.08676,
#   0.07485,0.01947,0.1092,0.1192,0.02228,
#   0.006738,0.2443,0.02898,0.08243,0.003788,
#   0.212,0.04742,0.1832,0.3302,0.4514,
#   0.4393,0.2817,0.3041,0.03118,0.1337,
#   0.2199,0.1021,0.04547,0.04079,0.7995,
#   0.526,0.1739,0.1151,0.1852,0.2204,
#   0.0154,0.08068,0.2567,0.09766,0.05802,
#   0.03091,0.2081,0.3594,0.2165,0.1137,
#   0.08637,0.05004,0.1188,0.08118,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   0.07597,0.1183,0.1272,0.04889,0.06078,
#   0.04719,0.02778,0.05432,0.2666,0.1391,
#   0.007729,0.06878,0.05717,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   0.006816,0.04332,0.01649,0.001586,0.02571,
#   0.2182,0.01952,0.02269,0.03444,0.02351,
#   0.004282,0.1308,0.002893,0.09147,0.1624,
#   0.1019,0.0472,0.0384,0.06366,0.0942,
#   0.02684,0.08596,0.1944,0.2217,0.1194,
#   0.1083,0.1929,0.08231,0.01348,0.03379,
#   0.0706,0.1045,0.1021,0.1636,0.06354,
#   0.03275,0.1009,0.03451,0.02526,0.02944,
#   0.05309,0.1115,0.03093,0.07288,0.1755,
#   0.2199,0.1798,
#   0.140,0.164, 0.038, 0.159, 0.192,
#   0.196, 0.087, 0.196, 0.126, 0.002,
#   0.176, 0.001, 0.058, 0.152, 0.172,
#   0.045, 0.184,
#   0.025, 0.084, 0.112, 0.135, 0.097,
#   0.002, 0.137, 0.089, 0.054, 0.010,
#   0.058, 0.156, 0.141, 0.055, 0.192,
#   0.174, 0.069,
#   0.002, 0.137, 0.089, 0.054, 0.010,
#   0.058, 0.156, 0.141, 0.055, 0.192,
#   0.025, 0.084, 0.112, 0.135, 0.097,
#   0.174, 0.069,
#   0.140,0.164, 0.038, 0.159, 0.192,
#   0.002, 0.137, 0.089, 0.054, 0.010,
#   0.025, 0.084, 0.112, 0.135, 0.097,
#   0.045, 0.184)#,
dj.tmp = tail(data$CPUE, n=17) / 125
dj = c(inits0$dj, dj.tmp)

## METTRE A JOUR (3 NA ET 2 VALEURS PAR AN) /!\ TAILLE MATRICE
# gamma_dj = structure(.Data = c(
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,0.8754,0.6449,
#   NA,            NA,            NA,1.143,0.3859,
#   NA,            NA,            NA,0.8242,0.9151,
#   NA,            NA,            NA,0.6221,0.3942,
#   NA,            NA,            NA,0.6353,0.8873,
#   NA,            NA,            NA,0.5704,0.7169,
#   
#   NA,            NA,            NA,0.5284,1.01,
#   NA,            NA,            NA,0.6864,0.605,
#   NA,            NA,            NA,0.8138,0.3935,
#   NA,            NA,            NA,0.674,0.5539,
#   NA,            NA,            NA,0.9716,0.8126,
#   NA,            NA,            NA,1.026,0.4092,
#   NA,            NA,            NA,1.044,1.045,
#   NA,            NA,            NA,0.7569,1.31,
#   NA,            NA,            NA,0.8944,0.585,
#   NA,            NA,            NA,0.6882,0.7123,
#   NA,            NA,            NA,0.8058,0.8647,
#   NA,            NA,            NA,0.8626,0.9789,
#   NA,            NA,            NA,0.5073,0.7003,
#   NA,            NA,            NA,0.8212,0.5498,
#   NA,            NA,            NA,0.4957,1.049,
#   NA,            NA,            NA,0.640, 1.072,
#   NA,            NA,            NA,0.521, 0.733,
#   NA,            NA,            NA,0.5073,0.7003,
#   NA,            NA,            NA,0.8212,0.5498),
#   .Dim = c(32,5)),
gamma_dj = rbind(inits0$gamma_dj,  c(NA,NA,NA,1,1))



## METTRE A JOUR (2 NA ET 3 VALEURS PAR AN) /!\ TAILLE MATRICE
# jnat_ns_riff = structure(.Data = c(
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,535.0,            NA,            NA,
#   NA,            NA,703.0,            NA,            NA,
#   NA,            NA,1699.0,            NA,            NA,
#   NA,            NA,505.0,            NA,            NA,
#   NA,            NA,869.0,            NA,            NA,
#   NA,            NA,606.0,            NA,            NA,
#   NA,            NA,928.0,2268.0,421.0,
#   NA,            NA,587.0,1784.0,152.0,
#   NA,            NA,856.0,1921.0,532.0,
#   NA,            NA,1014.0,1666.0,252.0,
#   NA,            NA,711.0,1379.0,449.0,
#   NA,            NA,1440.0,2329.0,696.0,
#   NA,            NA,1384.0,2107.0,893.0,
#   NA,            NA,1297.0,2467.0,456.0,
#   NA,            NA,1205.0,2688.0,309.0,
#   NA,            NA,2097.0,3937.0,696.0,
#   NA,            NA,1595.0,5010.0,938.0,
#   NA,            NA,2246.0,5890.0,618.0,
#   NA,            NA,983.0,3289.0,777.0,
#   NA,            NA,634.0,1299.0,522.0,
#   NA,            NA,988.0,2830.0,421.0,
#   NA,            NA,1165.0,1996.0,489.0,
#   NA,            NA,567.0,1164.0,311.0,
#   NA,            NA,1472.0,3247.0,872.0,
#   NA,            NA,605.0,787.0,231.0,
#   NA,            NA,1410.0,2807.0,464.0,
#   NA,            NA,1609.0,1924.0,1033.0,
#   NA,            NA,1399, 1587, 1154,
#   NA,            NA,516,1197,732,
#   NA,            NA,1410,2807,464,
#   NA,            NA,1399,2807,1033),
#   .Dim = c(32,5)),
# 
dj.tmp <- data$CPUE / 125
tmp <- tail(dj.tmp, n=17)
jnat_ns_riff.tmp = data$Stot_ns_riff[33,] * mean(tmp)
jnat_ns_riff= rbind(inits0$jnat_ns_riff,jnat_ns_riff.tmp[1:5])



## METTRE A JOUR (2 NA ET 3 VALEURS PAR AN) /!\ TAILLE MATRICE
# jnat_ns_runs = structure(.Data = c(
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,240.0,            NA,            NA,
#   NA,            NA,340.0,            NA,            NA,
#   NA,            NA,845.0,            NA,            NA,
#   NA,            NA,236.0,            NA,            NA,
#   NA,            NA,367.0,            NA,            NA,
#   NA,            NA,320.0,            NA,            NA,
#   NA,            NA,415.0,536.0,102.0,
#   NA,            NA,258.0,432.0,24.0,
#   NA,            NA,377.0,434.0,110.0,
#   NA,            NA,407.0,355.0,59.0,
#   NA,            NA,333.0,298.0,79.0,
#   NA,            NA,704.0,536.0,169.0,
#   NA,            NA,572.0,399.0,171.0,
#   NA,            NA,529.0,500.0,90.0,
#   NA,            NA,510.0,546.0,76.0,
#   NA,            NA,902.0,887.0,168.0,
#   NA,            NA,732.0,1045.0,214.0,
#   NA,            NA,863.0,1250.0,107.0,
#   NA,            NA,439.0,654.0,165.0,
#   NA,            NA,277.0,271.0,100.0,
#   NA,            NA,479.0,584.0,87.0,
#   NA,            NA,391.0,422.0,101.0,
#   NA,            NA,198.0,238.0,70.0,
#   NA,            NA,507.0,664.0,199.0,
#   NA,            NA,247.0,157.0,69.0,
#   NA,            NA,481.0,586.0,92.0,
#   NA,            NA,511.0,386.0,202.0,
#   NA,            NA,239,143,357,
#   NA,            NA,518,509,497,
#   NA,            NA,863.0,1250.0,107.0,
#   NA,            NA,239,1250,202),
#   .Dim = c(32,5)),

dj.tmp <- data$CPUE / 125
tmp <- tail(dj.tmp, n=17)
jnat_ns_runs.tmp = data$Stot_ns_runs[33,] * mean(tmp/5)
jnat_ns_runs= rbind(inits0$jnat_ns_runs,jnat_ns_runs.tmp[1:5])


## METTRE A JOUR (17 VALEURS PAR AN)
# lambda_cpue = c(
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,            NA,            NA,            NA,
#   NA,            NA,17.16,22.54,7.622,
#   9.722,24.92,64.98,28.03,23.95,
#   14.89,24.93,18.01,10.47,11.02,
#   12.13,15.96,15.12,16.29,39.89,
#   43.06,18.61,3.808,18.72,7.307,
#   36.0,24.58,20.83,2.372,6.231,
#   1.989,4.465,16.17,28.83,22.1,
#   0.07478,4.0,4.279,8.084,4.439,
#   2.589,9.603,5.252,4.99,23.9,
#   11.03,29.79,66.84,13.79,21.32,
#   38.1,45.39,17.69,0.9478,0.5267,
#   6.815,18.7,7.129,0.09009,2.261,
#   25.55,9.161,17.9,0.05572,9.691,
#   5.006,1.107,7.145,12.25,0.001007,
#   2.341,6.873,2.859,0.7217,7.804,
#   15.92,12.37,14.3,9.546,4.531,
#   6.726,12.65,3.362,9.419,4.67,
#   5.241,3.223,12.12,35.05,25.05,
#   15.42,13.19,4.646,5.772,7.38,
#   0.003242,13.36,2.656,0.3615,7.219,
#   18.65,12.75,4.794,4.493,9.357,
#   0.02151,13.73,0.5656,15.16,16.03,
#   21.11,4.74,13.12,12.73,8.393,
#   3.211,31.96,42.0,50.85,14.04,
#   21.94,67.87,8.376,1.115,2.98,
#   9.614,13.37,7.223,19.61,9.298,
#   8.584,36.28,16.52,7.09,4.809,
#   17.28,13.33,2.398,3.727,32.32,
#   18.29,23.51,
#   5.46,13.67,10.77,14.46,11.46,15.22,10.30,1.65,2.09,15.64,7.15,3.11,3.91,12.27,3.67,5.62,9.44,
#   15.50,5.98,17.15,18.56,3.60,13.64,9.62,6.44,17.26,13.02,19.81,17.90,15.21,7.19,9.47,14.20,0.34,
#   9.614,13.37,7.223,19.61,9.298,8.584,36.28,16.52,7.09,4.809,17.28,13.33,2.398,3.727,32.32,18.29,23.51,
#   12,19,16,44,9,23,7,13,19,12,20,9,32,20,44,19,20)
# )

lambda_cpue = c(inits0$lambda_cpue, tail(data$CPUE,n=17))

inits_updated <- list(
  LS_rec=LS_rec,
  alpha_dj=alpha_dj,
  dj=dj,
  gamma_dj=gamma_dj,
  jnat_ns_riff=apply(jnat_ns_riff, 1:2, function(x) as.integer(x)),
  jnat_ns_runs=apply(jnat_ns_runs, 1:2, function(x) as.integer(x)),
  lambda_cpue= lambda_cpue
)


inits <- list(c( inits_fix,inits_updated))

#write(inits[[1]],file=paste("inits/init-",site,"-",stade,year,".txt",sep=""), append=TRUE)
#lapply(inits[[1]], write, paste("inits/init-",site,"-",stade,year,".txt",sep=""), append=TRUE)
#save(inits,file=paste('inits/inits_',stade,'.Rdata',sep=""))
#save(inits,file=paste('inits/inits_',stade,year,'.Rdata',sep=""))
bugs.inits(inits, n.chains=1,digits=3, inits.files = paste('inits/init-',site,'-',stade,year,'.txt',sep=""))
